#!/usr/bin/expect -f
set timeout -1
if {![info exists env(SUDO_PASSWORD)] || $env(SUDO_PASSWORD) eq ""} {
  puts "Missing SUDO_PASSWORD env variable."
  exit 1
}
set sudo_password $env(SUDO_PASSWORD)
set jump_host "wooo@192.168.0.110"
set target_host "ollama@192.168.0.188"

spawn ssh -J $jump_host $target_host "echo $sudo_password | sudo -S docker inspect agent_bounty_web | grep -i 'com.docker.compose.project.config_files'"
expect {
  "*assword:*" {
    send "$sudo_password\r"
    exp_continue
  }
  eof
}
